package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 销售绩效表
 */
@Data
@Entity
@Table(name = "sales_performance_config")
public class SalesPerformanceConfigTable extends BaseTable {

    private Integer salesType;

    private Long salesId;

    private String salesName;

    private String salesNo;
    /**
     * 月度净入金
     */
    private Float pureDeposit;

//    private Float pureDepositScore;
    /**
     * 月度毛入金
     */
    private Float totalDeposit;

//    private Float totalDepositScore;
    /**
     * 月度团队净入金
     */
    private Float teamPureDeposit;

//    private Float teamPureDepositScore;
    /**
     * 月度团队毛入金
     */
    private Float teamTotalDeposit;

//    private Float teamTotalDepositScore;
    /**
     * 月度团队新增代理数
     */
    private Integer freshAgentAmount;

//    private Float freshAgentAmountScore;
    /**
     * 月度团队新增直客数
     */
    private Integer freshCustomAmount;

//    private Float freshCustomAmountScore;
    /**
     * 报告时间
     */
    private Date reportDate;

    public static SalesPerformanceConfigTable getInstance(){
        SalesPerformanceConfigTable table = new SalesPerformanceConfigTable();
        table.setPureDeposit(0F);
        table.setTotalDeposit(0F);
        table.setTeamPureDeposit(0F);
        table.setTeamTotalDeposit(0F);
        table.setFreshAgentAmount(0);
        table.setFreshCustomAmount(0);
        return table;
    }

}
